Package org.gradle.api

## Interface Transformer<OUT,​IN>

- Type Parameters:
    `OUT` - The type the value is transformed to.
    `IN` - The type of the value to be transformed.

      public interface Transformer<OUT,​IN>

  A `Transformer` transforms objects of type.

  Implementations are free to return new objects or mutate the incoming value.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `OUT` | `transform​(IN in)` | Transforms the given object, and returns the transformed value.

- - ### Method Detail

    - #### transform

          OUT transform​(IN in)

      Transforms the given object, and returns the transformed value.
      Parameters:
        `in` - The object to transform.
      Returns:
        The transformed object.